import { $http } from '@/libs/http'
// 测试 -- 分页查询测试列表
export const getList = data => {
  return $http.post('/survey/pageList', data)
}
export const getQiNiuToken = data => {
  return $http.post('/survey/qiNiuToken', data)
}
export const getDetailInfo = data => {
  return $http.post('/survey/detailInfo', data)
}
export const addTest = data => {
  return $http.post('/survey/add', data)
}
export const updateTest = data => {
  return $http.post('/survey/update', data)
}
export const putShelve = data => {
  return $http.post('/survey/putShelve', data)
}
export const offShelve = data => {
  return $http.post('/survey/offShelve', data)
}
export const updateSalePrice = data => {
  return $http.post('/survey/updateSalePrice', data)
}
export const updateContent = data => {
  return $http.post('/treehole/updateContent', data)
}
export const treeholeList = data => {
  return $http.post('/treehole/pageList', data)
}
export const pretendGreate = data => {
  return $http.post('/treehole/pretendGreate', data)
}
export const relayTreeHole = data => {
  return $http.post('/treehole/relayTreeHole', data)
}
export const addTreeHole = data => {
  return $http.post('/treehole/addTreeHole', data)
}
export const setTop = data => {
  return $http.post('/treehole/setTop', data)
}

export const setSore = data => {
  return $http.post('/survey/setSore', data)
}
export const recommend = data => {
  return $http.post('/survey/recommend', data)
}
